<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Maxbizz
 */

?>
	</div><!-- #content -->
	<?php
		if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'footer' ) ) {
			maxbizz_footer_builder();
		}
	?>
</div><!-- #page -->
<div class="custom-model-main">
<div class="custom-model-inner">        
<div class="close-btn"><img src=<?php echo get_site_url();?>/wp-content/uploads/2024/08/close.png></div>
<div class="custom-model-wrap">
<div class="pop-up-content-wrap"><?php echo apply_shortcodes( '[contact-form-7 id="c2db183" title="Site Registration Form"]' ); ?>
</div>
</div>  
</div>  
<div class="bg-overlay"></div>
</div>

<div class="submitresume-model">
<div class="submitresume-model-inner">        
<div class="close-btn">
	<img class="img-desktop" src=<?php echo get_site_url();?>/wp-content/uploads/2025/09/vector-white.png />
	<img class="img-mobile" src=<?php echo get_site_url();?>/wp-content/uploads/2024/08/close.png />
</div>
<div class="submitresume-model-wrap">
<div class="pop-up-content-wrap" style="display:flex;">
	<div class="submitresume_colleft">
		<?php echo apply_shortcodes( '[contact-form-7 id="49e253f" title="Submit Resume"]' ); ?>
	</div>

	<div class="submitresume_colright">
<div class="submitresume-img"><img src="https://noraconciergecare.com/wp-content/uploads/2025/09/submit-resume.png" alt="submit"><p></p>
<h4>Uploading a resume makes applying to jobs easy!</h4>
<ul class="uploads-ul">
<li><img src="https://noraconciergecare.com/wp-content/uploads/2025/09/icon-white.png" alt="right">
<p>Make your resume public to be visible to Hiring Managers and Employers</p>
</li>
<li><img src="https://noraconciergecare.com/wp-content/uploads/2025/09/icon-white.png" alt="right">
<p>Speed up the application process with quick apply. You can apply to jobs with just one click!</p>
</li>
<li><img src="https://noraconciergecare.com/wp-content/uploads/2025/09/icon-white.png" alt="right">
<p>See similar job titles and skills to help you make your next move</p>
</li>
</ul>
</div>
</div>
	
	
</div>
</div>  
</div>  
<div class="bg-overlay"></div>
</div>
<?php wp_footer(); ?>

<script src='<?php echo get_bloginfo('template_url') ?>/js/intlTelInput.min.js'></script>
<script src='<?php echo get_bloginfo('template_url') ?>/js/jquery.formatter.min.js'></script>
<script type="text/javascript">
document.querySelectorAll('a[href^="#"]').forEach(link => {
  link.addEventListener('click', function (e) {
    e.preventDefault(); // prevent default jump
    const target = document.querySelector(this.getAttribute('href'));
    if (target) target.scrollIntoView({ behavior: 'smooth' }); // optional smooth scroll
    history.replaceState(null, "", window.location.pathname + window.location.search);
  });
});

</script>
<script type="text/javascript">
$(document).ready(function() {
$(".click-here").on('click', function() {
  $(".custom-model-main").addClass('model-open');
}); 
$(".close-btn, .bg-overlay").click(function(){
  $(".custom-model-main").removeClass('model-open');
});

$(".click-here-2").on('click', function() {
  $(".submitresume-model").addClass('model-open');
}); 
$(".close-btn, .bg-overlay").click(function(){
  $(".submitresume-model").removeClass('model-open');
});
});
</script>
<script>
$(document).ready(function() {
$('#input-field').on('input', function() {
                var sanitizedValue = $(this).val().replace(/[^a-zA-Z0-9 .]+/,'');
                $(this).val(sanitizedValue);
            });
});
$(document).ready(function() {
$('#ftinput-field').on('input', function() {
                var sanitizedValue = $(this).val().replace(/[^a-zA-Z0-9 .]+/,'');
                $(this).val(sanitizedValue);
            });
});
</script>
<script>

const intlPhoneNumber = function (countryCode) {
  const countryData = $.fn.intlTelInput.getCountryData();
  const telInput = $("#phone-number");
  const telInput2 = $("#phone-number2");
  const telInput3 = $("#resume-phone");
  const telInputLabel = telInput.parents(".form-group").find("label");
  const countryDropdown = $("#phone-number-country");
  const phonePrefix = $('.phone-number-prefix');
  const fullPhoneNumber = $('#phone-number-full');
  const errorMsg = $("#error-msg");
  const initCountry = countryCode || 'us';
  let pattern = '';

  //set initial pattern for formatting
  if (initCountry === 'us') {
    pattern = '({{999}}) {{999}}-{{9999}}';
  } else {
    // using as temp until formatting on init figured out
    pattern = '{{9999999999999999999999}}';
  }

  // init format
  telInput.formatter({
    'pattern': pattern });

 telInput2.formatter({
    'pattern': pattern });
	
 telInput3.formatter({
    'pattern': pattern });
  // on blur: validate
  telInput.blur(function () {
    // reset states
    reset();

    if ($.trim(telInput.val())) {
      // if number is not valid
      if (telInput.intlTelInput("isValidNumber") || telInput2.intlTelInput("isValidNumber")) {
        // set hidden input to dial code + inputted number
        fullPhoneNumber.val(telInput.intlTelInput("getSelectedCountryData").dialCode + telInput.val());
      } else {
        // set error states
        telInput.addClass("has-error");
        telInput2.addClass("has-error");
		telInput3.addClass("has-error");
        telInputLabel.addClass("has-error");
        errorMsg.removeClass("hidden-xs-up");
        //clear hidden input val
        fullPhoneNumber.val("");
      }
    }
  });

  // on keyup / change flag: reset
  telInput.on("keyup change", reset);
  telInput2.on("keyup change", reset);
  telInput3.on("keyup change", reset);
  // listen to the country dropdown for changes.
  // updates placeholder and prefix when changed
  countryDropdown.change(function () {
    // Update Placeholder via plugin - so we can get the example number + format
    telInput.intlTelInput("setCountry", $(this).val());
    telInput2.intlTelInput("setCountry", $(this).val());
	telInput3.intlTelInput("setCountry", $(this).val());
    // Update Dial Code Prefix
    dialCode = telInput.intlTelInput("getSelectedCountryData").dialCode;
    phonePrefix.text("+" + dialCode);
    // Use updated placeholder to define formatting pattern
    pattern = telInput.attr("placeholder").replace(new RegExp("[0-9]", "g"), "9").replace(/([9]\d{0,10})/g, '{{$1}}');
    pattern = telInput2.attr("placeholder").replace(new RegExp("[0-9]", "g"), "9").replace(/([9]\d{0,10})/g, '{{$1}}');
	pattern = telInput3.attr("placeholder").replace(new RegExp("[0-9]", "g"), "9").replace(/([9]\d{0,10})/g, '{{$1}}');
    // update formatter
    telInput.formatter().resetPattern(pattern);
    telInput2.formatter().resetPattern(pattern);
	telInput3.formatter().resetPattern(pattern);
    // clear telephone input to prevent validation errors
    telInput.val("");
    telInput2.val("");
	telInput3.val("");
    // update placeholder to specific
    telInput.attr("placeholder", "PHONE NUMBER");
    telInput2.attr("placeholder", "PHONE NUMBER");
	telInput3.attr("placeholder", "PHONE NUMBER");
  });
};

intlPhoneNumber();
</script>

<script>
document.addEventListener( 'wpcf7mailsent', function( event ) {
    setTimeout( () => {
        location = 'https://noraconciergecare.com/thank-you';
    }, 2000 ); 
}, false );
</script>
<script>
jQuery(document).ready(function($) {
    $(document).on('wpcf7invalid', function(event) {
        setTimeout(function() {
            window.location.href = 'https://noraconciergecare.com/';
        }, 100000); 
    });
});
</script>

</body>
</html>